# MatILUDTFactor

Performs a drop tolerance ILU factorization.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatILUDTFactor(Mat mat,IS row,IS col,MatFactorInfo *info,Mat *fact)

Collective on Mat

### Input Parameters

| mat | - the matrix
| row | - row permutation
| col | - column permutation
| info | - information about the factorization to be done

### Output Parameters

fact -the factored matrix

### Notes

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

This is currently only supported for the SeqAIJ matrix format using code from Yousef Saad's SPARSEKIT2 package (translated to C with f2c) and/or Matlab. SPARSEKIT2 is copyrighted by Yousef Saad with the GNU copyright and thus can be distributed with PETSc.

### See Also

MatLUFactorSymbolic(), MatLUFactorNumeric(), MatCholeskyFactor(), MatFactorInfo

Level:developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages